Notification Emails

List Company Notification Email Addresses

Get a list of all notification email addresses for a specific company

GET
/api/v1/companies/{companyId}/notification-email-addresses
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to get notification email addresses for

Response Body

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/companies/string/notification-email-addresses"
{
  "success": true,
  "notificationEmailAddresses": [
    {
      "id": "string",
      "companyId": "string",
      "email": "string",
      "notifyIncoming": true,
      "notifyOutgoing": true,
      "includeAutoGeneratedPdfIncoming": true,
      "includeAutoGeneratedPdfOutgoing": true,
      "includeDocumentJsonIncoming": true,
      "includeDocumentJsonOutgoing": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}